Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:        A free OpenGl billard game for linux
Name:      	foobillard
Version:   	3.0a
Release:   	2
Provides:	%{name}
License: 	GPL
URL:	  	http://foobillard.sunsite.dk
Group:          Games/Sports
Source0: 	%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Source2:        %{name}.png
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  glibc-devel
BuildRequires:  libGL-devel
BuildRequires:  libGLU-devel
BuildRequires:  libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libXaw-devel
BuildRequires:  libXi-devel
BuildRequires:  freetype-devel
BuildRequires:  libpng-devel
BuildRequires:  zlib-devel


%description
FooBillard is a free OpenGL-billard game for Linux with realistic physics, AI-player and many gametypes like pool carambol or snooker.


%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure     --prefix=%_prefix \
                --sysconfdir=%{_sysconfdir} \
                --localstatedir=/var \
                --mandir=%{_mandir} \
                --enable-glut
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_mandir}/man6
install -c -m 644 foobillard.6 %{buildroot}%{_mandir}/man6/foobillard.6

mkdir -p %{buildroot}%{_datadir}/applications
install -c -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -c -m 644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/

%files
%defattr(-,root,root)
%_bindir
%_mandir
%_datadir/foobillard
%_datadir/applications
%_datadir/pixmaps

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Apr 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.0a-2
- rebuilt for SRPM package
